Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Eclipse won't start up after update
Eclipse won't start up after update [message #228587] Mon, 02 March 2009 15:38 Go to next message
Joe Gliniecki is currently offline Joe Gliniecki
Messages: 12
Registered: July 2009
Junior Member
I was running Eclipse WTP 3.0.3 fine for months. Today I decided to update
to 3.0.4. The update went fine and it asked me to restart as usual.
However eclipse will now no longer start since the update.

The small screen that usually shows Eclipse starting up is displayed for
only a split second and then goes away. Also, the log file at
<workspace_dir>/.metadata/.log is not updated from the attempted start.
Not sure if there are any other log files to look at.

The last entry in the log is this:

!SESSION 2009-03-01 15:25:45.860
-----------------------------------------------
eclipse.buildId=M20080911-1700
java.version=1.6.0_07
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -showlocation
Command-line arguments: -os win32 -ws win32 -arch x86 -data
C:\eclipse_workspaces\eclipse_wtp_main -showlocation

!ENTRY org.eclipse.equinox.p2.metadata.repository 2 0 2009-03-01
15:28:36.203
!MESSAGE Error parsing metadata repository
!SUBENTRY 1 org.eclipse.equinox.p2.core 2 0 2009-03-01 15:28:36.203
!MESSAGE Error at line 10, column 91: Missing required attribute in
"repository": url
!SUBENTRY 1 org.eclipse.equinox.p2.core 2 0 2009-03-01 15:28:36.203
!MESSAGE Error at line 10, column 91: Illegal value for attribute "url" of
element "repository": null
!SUBENTRY 1 org.eclipse.equinox.p2.core 2 0 2009-03-01 15:28:36.203
!MESSAGE Error at line 11, column 91: Missing required attribute in
"repository": url
!SUBENTRY 1 org.eclipse.equinox.p2.core 2 0 2009-03-01 15:28:36.203
!MESSAGE Error at line 11, column 91: Illegal value for attribute "url" of
element "repository": null
!SUBENTRY 1 org.eclipse.equinox.p2.core 2 0 2009-03-01 15:28:36.203
!MESSAGE Error at line 12, column 90: Missing required attribute in
"repository": url
!SUBENTRY 1 org.eclipse.equinox.p2.core 2 0 2009-03-01 15:28:36.203
!MESSAGE Error at line 12, column 90: Illegal value for attribute "url" of
element "repository": null
!SUBENTRY 1 org.eclipse.equinox.p2.core 2 0 2009-03-01 15:28:36.203
!MESSAGE Error at line 13, column 90: Missing required attribute in
"repository": url
!SUBENTRY 1 org.eclipse.equinox.p2.core 2 0 2009-03-01 15:28:36.203
!MESSAGE Error at line 13, column 90: Illegal value for attribute "url" of
element "repository": null

!ENTRY org.eclipse.equinox.p2.director 2 0 2009-03-01 15:29:07.736
!MESSAGE Problems resolving provisioning plan.
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2009-03-01 15:29:07.736
!MESSAGE Unable to satisfy dependency from org.eclipse.wst.sse.core
1.1.203.v200802140626 to requiredCapability:
osgi.bundle/org.eclipse.emf.common/[2.2.0,2.4.0).
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2009-03-01 15:29:07.736
!MESSAGE Unable to satisfy dependency from org.eclipse.wst.sse.ui
1.0.305.v200802142230 to requiredCapability:
osgi.bundle/org.eclipse.emf.common/[2.2.0,2.4.0).



with many more of the "requiredCapability" lines.

This happened to me last fall also, and I then just re-installed Eclipse
from scratch (since I couldn't start Eclipse to revert to the old
configuration), but thought I'd now try and see if there is a solution, or
maybe a bug that the community could be made aware of.

Thanks,
Joe
Re: Eclipse won't start up after update [message #228604 is a reply to message #228587] Tue, 03 March 2009 01:33 Go to previous messageGo to next message
Eclipse User
Originally posted by: david_williams.linux.vnet.ibm.com

Joe Gliniecki wrote:
> ....
> This happened to me last fall also, and I then just re-installed
> Eclipse from scratch (since I couldn't start Eclipse to revert to the
> old configuration), but thought I'd now try and see if there is a
> solution, or maybe a bug that the community could be made aware of.
> ....
This sounds serious. If you take the time to figure out steps to
reproduce, that would be helpful (and if so, open a bug then with the
details).
Since it's happened to you twice, maybe there is something special you
do. Do you start off with base Eclipse and build up from there? Do you
start with Java EE IDE package? Do you have other things installed?
Especially any other plugins you might have 'unzipped' into your
installation?

The other place to look for startup logged issues is in your the
'configuration' directory of your eclipse install location (not the
workspace).
My guess it, the main thing it will say is basically "something is
invalid om your installation" but perhaps someone can interpret the
specifics.
Re: Eclipse won't start up after update [message #228637 is a reply to message #228604] Wed, 04 March 2009 12:24 Go to previous messageGo to next message
Joe Gliniecki is currently offline Joe Gliniecki
Messages: 12
Registered: July 2009
Junior Member
David,
I always start out with the WTP all in one bundle. The only plugin I use
is the Subversion one, but I use the update site for that.

Here are the contents of my configuration/config.ini file:

#This configuration file was written by:
org.eclipse.equinox.internal.frameworkadmin.equinox.EquinoxF wConfigFileParser
#Sun Mar 01 15:42:18 CST 2009
osgi.launcherPath=.
org.eclipse.update.reconcile=false
eclipse.p2.profile=PlatformProfile
osgi.instance.area.default=@user.home/workspace
osgi.framework=file\:plugins\\org.eclipse.osgi_3.4.3.R34x_v2 0081215-1030.jar
eclipse.buildId=M20090211-1700
osgi.bundles=reference\:file\:org.eclipse.equinox.simpleconfigurator_1.0.0.v20080604.jar@1\:start
org.eclipse.equinox.simpleconfigurator.configUrl=file\:org.e clipse.equinox.simpleconfigurator\\bundles.info
eclipse.product=org.eclipse.platform.ide
osgi.splashPath=platform\:/base/plugins/org.eclipse.platform
osgi.launcherIni=eclipse
eclipse.p2.data.area=@config.dir/../p2
osgi.bundles.defaultStartLevel=4

I tried to download WTP 3.0.3 from here
( http://www.eclipse.org/downloads/download.php?file=/webtools /downloads/drops/R3.0/R-3.0.3-20081113203138/wtp-R-3.0.3-200 81113203138.zip)
so I could try to update it to 3.0.4 to try and reproduce the error, but
the downloaded zip file doesn't have an eclipse.exe file. So not sure how
that is usable, or how I could fire up wtp 3.0.3 so I could try this.

So I've hit a dead end in trying to reproduce the error. Hope this helps,
and let me know of any other suggestions to help me get on the path to
reproducing the error.

Thanks,
Joe
Re: Eclipse won't start up after update [message #228644 is a reply to message #228637] Wed, 04 March 2009 13:06 Go to previous messageGo to next message
Eclipse User
Originally posted by: dcarver.starstandard.org

You use the file you downloaded to add to your dropins in a Eclispe
Classic installation. Plus you'll need the other dependencies zips
mentioned on that page as well.

Dave

Joe Gliniecki wrote:
> David,
> I always start out with the WTP all in one bundle. The only plugin I use
> is the Subversion one, but I use the update site for that.
>
> Here are the contents of my configuration/config.ini file:
>
> #This configuration file was written by:
> org.eclipse.equinox.internal.frameworkadmin.equinox.EquinoxF wConfigFileParser
>
> #Sun Mar 01 15:42:18 CST 2009
> osgi.launcherPath=.
> org.eclipse.update.reconcile=false
> eclipse.p2.profile=PlatformProfile
> osgi.instance.area.default=@user.home/workspace
> osgi.framework=file\:plugins\\org.eclipse.osgi_3.4.3.R34x_v2 0081215-1030.jar
>
> eclipse.buildId=M20090211-1700
> osgi.bundles=reference\:file\:org.eclipse.equinox.simpleconfigurator_1.0.0.v20080604.jar@1\:start
>
> org.eclipse.equinox.simpleconfigurator.configUrl=file\:org.e clipse.equinox.simpleconfigurator\\bundles.info
>
> eclipse.product=org.eclipse.platform.ide
> osgi.splashPath=platform\:/base/plugins/org.eclipse.platform
> osgi.launcherIni=eclipse
> eclipse.p2.data.area=@config.dir/../p2
> osgi.bundles.defaultStartLevel=4
>
> I tried to download WTP 3.0.3 from here
> ( http://www.eclipse.org/downloads/download.php?file=/webtools /downloads/drops/R3.0/R-3.0.3-20081113203138/wtp-R-3.0.3-200 81113203138.zip)
> so I could try to update it to 3.0.4 to try and reproduce the error, but
> the downloaded zip file doesn't have an eclipse.exe file. So not sure
> how that is usable, or how I could fire up wtp 3.0.3 so I could try this.
> So I've hit a dead end in trying to reproduce the error. Hope this
> helps, and let me know of any other suggestions to help me get on the
> path to reproducing the error.
>
> Thanks,
> Joe
>
Re: Eclipse won't start up after update [message #228650 is a reply to message #228644] Wed, 04 March 2009 14:09 Go to previous messageGo to next message
Joe Gliniecki is currently offline Joe Gliniecki
Messages: 12
Registered: July 2009
Junior Member
Ok, I was confused. I used the link on this page:

http://download.eclipse.org/webtools/downloads/drops/R3.0/R- 3.0.3-20081113203138/

under the heading "Web Tools Platform Complete", which brought me to the
download page:

http://www.eclipse.org/downloads/download.php?file=/webtools /downloads/drops/R3.0/R-3.0.3-20081113203138/wtp-R-3.0.3-200 81113203138.zip

I thought "Web Tools Platform Complete" meant the all in one where there
were no dependencies.

Do you know where I could get the WTP 3.0.3 all in one? Since that is
what I used to when I first got the error, I'd like things to be apples to
apples as much as possible.

Thanks,
Joe
Re: Eclipse won't start up after update [message #228678 is a reply to message #228650] Fri, 06 March 2009 12:43 Go to previous message
Eclipse User
Originally posted by: david_williams.linux.vnet.ibm.com

Joe Gliniecki wrote:
> under the heading "Web Tools Platform Complete", which brought me to
> the download page:
I've opened bug 267407 to remind me to improve that label (It's supposed
to mean "everything produced by WTP", in contrast to all the other zips
on that page which are some subset.).

In general, older version of the all-in-one Eclipse packages can be
found at
http://wiki.eclipse.org/Older_Versions_Of_Eclipse

WTP 3.0.3 was not part of those. Typically, people would have started
with Ganymede SR1,
http://www.eclipse.org/downloads/packages/release/ganymede/s r1
and then updated to WTP 3.0.3 a short time time later, from the wtp
specific update site.
/webtools/updates/

HTH
Previous Topic:Create a WTP XML Node from an XML string
Next Topic:Create an editor who extend the HTML WTP editor
Goto Forum:
  


Current Time: Fri Jul 25 02:52:33 EDT 2014

Powered by FUDForum. Page generated in 0.01959 seconds